SentDateTerm (JavaMail API documentation)
Date: 2018-10-22

javax.mail.search

## Class SentDateTerm

- java.lang.Object
- - javax.mail.search.SearchTerm
  - - javax.mail.search.ComparisonTerm
    - - javax.mail.search.DateTerm
      - - javax.mail.search.SentDateTerm

- All Implemented Interfaces:
    java.io.Serializable

      public final class SentDateTerm
      extends DateTerm

  This class implements comparisons for the Message SentDate.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.mail.search.DateTerm

      `date`

    - ### Fields inherited from class javax.mail.search.ComparisonTerm

      `comparison, EQ, GE, GT, LE, LT, NE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SentDateTerm(int comparison, java.util.Date date)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Equality comparison.
    `boolean` | `match(Message msg)` The match method.

    - ### Methods inherited from class javax.mail.search.DateTerm

      `getComparison, getDate, hashCode, match`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SentDateTerm

          public SentDateTerm(int comparison,
                              java.util.Date date)

      Constructor.
      Parameters:
        `comparison` - the Comparison type
        `date` - the date to be compared

  - ### Method Detail

    - #### match

          public boolean match(Message msg)

      The match method.
      Specified by:
        `match` in class `SearchTerm`
      Parameters:
        `msg` - the date comparator is applied to this Message's sent date
      Returns:
        true if the comparison succeeds, otherwise false

    - #### equals

          public boolean equals(java.lang.Object obj)

      Equality comparison.
      Overrides:
        `equals` in class `DateTerm`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms< /a>.